Naar content
Trending apps
  • Google Duo: videogesprekken van hoge kwaliteit

  • Gmail

  • Maps: Navigatie en OV

  • WhatsApp Messenger

  • Messenger: gratis sms'en en videobellen

Trending games
  • Fortnite

  • Minecraft Earth

  • Dr. Mario World

  • Harry Potter: Wizards Unite

  • Breaking Bad: Criminal Elements

Trending smartphones
  • OnePlus Nord N10 5G

  • POCO X3

  • Google Pixel 5

  • Google Pixel 4a

  • OnePlus Nord

Nieuwste tablets
  • Samsung Galaxy Tab S6

  • Samsung Galaxy Tab A 10.5

  • Samsung Galaxy Tab S4

  • Samsung Galaxy Tab S3 9.7

  • Asus Zenpad 3S 10

Wij werken momenteel aan een nieuw forum voor Androidworld. Het is daarom momenteel niet mogelijk om te reageren of nieuwe topics aan te maken.

Timelord

  • Lid sinds 05 juni 2010
  • Berichten 2421
  • Reputatie 20
  • #1
  • 21 januari 2016
  • 12:08

Volgen mij kan het niet, maar voor de zekerheid vraag ik het toch maar.

Kun je een programma maken waarin je bij het aanmaken aangeeft, dat je bv vanaf 2.3 tm 6.0 wilt bestrijjken
en dat je dan in de app checkt op welke versie je apparaat draait en dat dan het bijbehorende appdeel gestart word ?

Oukitel K5000 7.0 (nog) ongeroot
Samsung Note geroot 4.2.1 Spirit Rom (dood)
HTC Desire geroot Slim Rom 4.4.4
HTC one X + geroot 4.2.2 ViperX+ 2.1.1
One plus one geroot 6.01
LG P990 geroot 2.3
Samsung A8 ongeroot (werk)
Umidigi 3 Power ongeroot.
Samsung A7 ongeroot.

redbulletnl

  • Lid sinds 02 september 2011
  • Berichten 2982
  • Reputatie 60
  • #2
  • 21 januari 2016
  • 13:17

Zoals ik het begrijp wil je gewoon bepaalde stukken code aanroepen aanhankelijk welke Android versie?


 String Versie = android.os.Build.VERSION.RELEASE;


Let wel op, bij Android 4.4.2 geeft die ook 4.4.2 aan, dit kun je niet meteen naar een int omzetten.

Timelord

  • Lid sinds 05 juni 2010
  • Berichten 2421
  • Reputatie 20
  • #3
  • 21 januari 2016
  • 14:17

Ja nee, dat is het simpele deel, dat snapte ik nog wel.

Nee wat ik eigenlijk bedoel (en misschien gelijk had moeten vermelden:
als ik Android Studio vertel dat ik vanaf 2.1 tm 6.0 wil, wat raak ik dan kwijt in m'n werkproject ?

Voorbeeld: de toolbar kwam pas in 3.0 meen ik en de floating menubutton in 5.0 ?

Kan ik de startactivity aanroepen met de minimaalste eisen, zodat die iin ALLE versies opstart ?

Na opstarten kan ik gelijk met versiecheck via intent naar de juiste Classes springen, maar ik wil wel in 4 m'n toolbar hebben en o verder.

Hopelijk heb ik het nu wat duidleijker omschreven wat ik werkelijk wil.

Oukitel K5000 7.0 (nog) ongeroot
Samsung Note geroot 4.2.1 Spirit Rom (dood)
HTC Desire geroot Slim Rom 4.4.4
HTC one X + geroot 4.2.2 ViperX+ 2.1.1
One plus one geroot 6.01
LG P990 geroot 2.3
Samsung A8 ongeroot (werk)
Umidigi 3 Power ongeroot.
Samsung A7 ongeroot.

LucasVL7

  • Lid sinds 18 februari 2016
  • Berichten 3
  • Reputatie 0
  • #4
  • 18 februari 2016
  • 20:56

-

Bewerkt (19 augustus 2018 12:15) | -

Reageer

We werken momenteel hard aan een nieuw forum voor Androidworld. Het is daarom helaas niet mogelijk om op dit topic te reageren.